import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A helper to help kill crabs
 */
public class Killer  extends Animal
{
    private int timer = 600;
    /** 
     * Act - do whatever the crab wants to do. This method is called whenever
     *  the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        move();
        randomTurn();
        turnAtEdge();
        lookForCrab();
        countDown();
    }
    
    
    /**
     * Try to pinch a crab. That is: check whether we have stumbled upon a crab.
     * If we have, remove the crab from the game.
     */
    public void lookForCrab()
    {
        if ( canSee(Crab.class) ) 
        {
            eat(Crab.class);
        }
    }
    /**
     *The Killers can only help for so long. 
     */
    public void countDown()
    {
        timer -= 1;
        if(timer == 0)
        {
            getWorld().removeObject(this);
        }
    }
    /**
     * Randomly decide to turn from the current direction, or not. If we turn
     * turn a bit left or right by a random degree.
     */
    public void randomTurn()
    {
        if(Greenfoot.getRandomNumber(100) > 90) {
            turn(Greenfoot.getRandomNumber(90)-45);
        }
    }
}